
package com.tmerclub.cloud.combo.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 套餐商品sku项DTO
 *
 * @author tmerclub
 * @date 2022-08-16 09:18:06
 */
public class ComboSpuSkuDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "套餐商品项id")
    private Long comboProdId;

    @Schema(description = "skuId")
    private Long skuId;

    @Schema(description = "搭配价格")
    private Long matchingPrice;

    @Schema(description = "套餐id")
    private Long comboId;

    @Schema(description = "商品id")
    private Long spuId;

    public Long getComboId() {
        return comboId;
    }

    public void setComboId(Long comboId) {
        this.comboId = comboId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getComboProdId() {
        return comboProdId;
    }

    public void setComboProdId(Long comboProdId) {
        this.comboProdId = comboProdId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getMatchingPrice() {
        return matchingPrice;
    }

    public void setMatchingPrice(Long matchingPrice) {
        this.matchingPrice = matchingPrice;
    }

    @Override
    public String toString() {
        return "ComboSpuSkuDTO{" +
                "comboProdId=" + comboProdId +
                ", skuId=" + skuId +
                ", matchingPrice=" + matchingPrice +
                ", comboId=" + comboId +
                ", spuId=" + spuId +
                '}';
    }
}
